X2Go Bug report logs - #928
x2goclient 4.0.5.0 overwrites user's shell

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Orion Poplawski <orion@cora.nwra.com>

Date: Tue, 25 Aug 2015 17:30:02 UTC

Severity: normal

Tags: patch, pending

Found in version 4.0.5.0

Fixed in version 4.0.5.1

Done: X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Full log


🔗 View this message in rfc822 format

X-Loop: owner@bugs.x2go.org
Subject: Bug#928: X2Go issue (in src:x2goclient) has been marked as closed
Reply-To: X2Go Release Manager <git-admin@x2go.org>, 928@bugs.x2go.org
Resent-From: X2Go Release Manager <git-admin@x2go.org>
Resent-To: x2go-dev@lists.x2go.org
Resent-CC: X2Go Developers <x2go-dev@lists.x2go.org>
X-Loop: owner@bugs.x2go.org
Resent-Date: Thu, 24 Mar 2016 20:40:10 +0000
Resent-Message-ID: <handler.928.B928.145885195328110@bugs.x2go.org>
Resent-Sender: owner@bugs.x2go.org
X-X2Go-PR-Message: followup 928
X-X2Go-PR-Package: x2goclient
X-X2Go-PR-Keywords: pending patch
Received: via spool by 928-submit@bugs.x2go.org id=B928.145885195328110
          (code B ref 928); Thu, 24 Mar 2016 20:40:10 +0000
Received: (at 928) by bugs.x2go.org; 24 Mar 2016 20:39:13 +0000
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on
	ymir.das-netzwerkteam.de
X-Spam-Level: 
X-Spam-Status: No, score=-2.9 required=3.0 tests=ALL_TRUSTED,BAYES_00,
	URIBL_BLOCKED autolearn=ham version=3.3.2
Received: from localhost (localhost [127.0.0.1])
	by ymir.das-netzwerkteam.de (Postfix) with ESMTP id 300315DACF;
	Thu, 24 Mar 2016 21:39:11 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at ymir.das-netzwerkteam.de
Received: from ymir.das-netzwerkteam.de ([127.0.0.1])
	by localhost (ymir.das-netzwerkteam.de [127.0.0.1]) (amavisd-new, port 10024)
	with ESMTP id tbeuaqwkBYva; Thu, 24 Mar 2016 21:39:04 +0100 (CET)
Received: by ymir.das-netzwerkteam.de (Postfix, from userid 1005)
	id 77C845DAC7; Thu, 24 Mar 2016 21:38:46 +0100 (CET)
From: X2Go Release Manager <git-admin@x2go.org>
To: 928-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 928@bugs.x2go.org
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
Message-Id: <20160324203846.77C845DAC7@ymir.das-netzwerkteam.de>
Date: Thu, 24 Mar 2016 21:38:46 +0100 (CET)
close #928
thanks

Hello,

we are very hopeful that X2Go issue #928 reported by you
has been resolved in the new release (4.0.5.1) of the
X2Go source project »src:x2goclient«.

You can view the complete changelog entry of src:x2goclient (4.0.5.1)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goclient.

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=4f91293625f1b3c12a1fa0a414424557d82fc65a;hp=b69667ef6d5f762b988e756a85a429792871e88c

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goclient.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goclient
Version: 4.0.5.1-0x2go1
Status: RELEASE
Date: Thu, 24 Mar 2016 21:35:30 +0100
Fixes: 487 772 860 916 921 927 928 945 948 953 973 987 1000
Changes: 
 x2goclient (4.0.5.1-0x2go1) RELEASED; urgency=low
 .
   [ Mihai Moldovan ]
   * New upstream release (4.0.5.1):
     - onmainwindow.cpp: include sshd PID file path option in quotes to support
       whitespaces within the var directory path on Windows. Add comment to
       revisit this later on non-Windows-platforms, too. Fixes: #916.
     - onmainwindow.cpp: do NOT reformat. Reverts most of the previous commit
       because it breaks code logic.
     - res/txt/packs: add adaptive method.
     - {macbuild.sh,x2goclient.pro}: pass MacPorts library and include path's
       to qmake. Due to the qt4-mac's changes, we do not automatically get
       these values automatically "appended" in a usable way anymore.
     - x2gosettings.cpp: let centralSettings () return false on Windows.
     - onmainwindow.cpp: be more precise in slotScDaemonError () regarding
       unknown and undefined errors.
     - onmainwindow.{cpp,h}: don't use a hardcoded path to xmodmap on OS X and
       handle errors more gracefully. Fixes: #487.
     - x2goclient.pro: fix typo --stdlib=... -> -stdlib=... Fixes: #973.
     - onmainwindow.cpp: add some more error handling for parsing the return
       value of x2golistsessions. As it turns out, it can happen that "invalid"
       strings are inserted in there, for instance by the perl interpreter
       itself. We need to skip over these, or the client crashes when splitting
       up the invalid lines.
     - macbuild.sh: add stdlib forcing. Should not be used unless you really
       know what you're doing. If you ponder using this, you probably don't.
     - res/resources.rcc: add Turkish translation file. Fixes: #987.
     - onmainwindow.cpp: use lowercase version of locale. Fixes: #953.
       Fixes loading up the nb_NO translation file, which is actually baked as
       nb_no into the binary.
     - sshmasterconnection.cpp: let challenge-auth-based login attempts
       fallback to normal password authentication if the initial
       challenge-auth-based attempt was unsuccessful.
     - sshmasterconnection.{cpp,h}: support variable number of
       challenge-auth-code-based prompts.
     - sshmasterconnection.cpp: don't check prompts for full string equality -
       a matching prefix is good enough. Amongst others, this fixes errors in
       conditions where the prompt does not contain a trailing whitespace, but
       X2Go Client expects one.
     - sshmasterconnection.cpp: add OATH TOTP prompt prefix. Fixes: #860.
     - res/i18n: refresh translation files again.
     - res/i18n/x2goclient_nb_no.ts: replace "X-Serv..." with "X.Org Server"
       where applicable.
     - res/i18n/x2goclient_nb_no.ts: correctly use "XQuartz" where necessary.
     - res/i18n/x2goclient_nb_no.ts: whitespace only.
     - res/i18n/x2goclient_nb_no.ts: fix up some "x2go" -> "X2Go" errors.
     - res/i18n/x2goclient_nb_no.ts: mark translation strings needing some care
       ("x2go..." -> "X2Go...") as unfinished for later fixup.
     - res/i18n/x2goclient_nb_no.ts: fix (meta data) typo introduced with last
       commit.
     - res/i18n/x2goclient_nl.ts: fixup translation by respecting the original
       messages' format and other changes.
     - res/i18n/x2goclient_de.ts: fixup translation by respecting the original
       messages' format, fixing typos and general improvements.
     - res/i18n/x2goclient_es.ts: fixup translation by respecting the original
       messages' format and other changes.
     - res/i18n/x2goclient_sv.ts: fixup translation by respecting the original
       messages' format and other changes.
   * debian/control:
     - Change apache2-dev | libc6-dev build dependency back to apache2-dev
       only. Otherwise, apache2-dev is not installed at all, even though
       theoretically available. The initial reasoning for this dependency type,
       apache2-dev not being available on all Ubuntu/Debian platforms, is not
       true anymore.
     - Change apache2-dev build dependency yet again to apache2-dev |
       apache2-threaded-dev. Turns out all Debian distros but wheezy (currently
       oldstable) have an apache2-dev package. Even oldoldstable (squeeze)
       does...
 .
   [ Oleksandr Shneyder ]
   * New upstream release (4.0.5.1):
     - xsettingswidget: compile only on Windows.
     - Add support for new style command line options of xfreerdp on direct RDP
       connections. (Fixes: #772).
     - Replace "::" with "_" for the desktop link name on Windows.
     - Fix direct RDP in broker mode.
     - Fix crashing client when editing session from SessionManageDialog.
       Fixes: #921.
     - Configure audio input in pulseaudio on Windows.
     - Reconnect ssh broker in case of IO Error.
     - Reformat source onmainwindow.cpp.
     - Disable settings editing if a directory with central settings is exists.
     - Format long names on session buttons.
     - Central settings for Linux, Mac and Windows.
     - Fix VCXSRV parameter to disable PRIMARY clipboard in X2Go Client for Windows. Fixes: #927.
     - Fix reading settings for direct RDP connections in broker mode.
     - Auto accept RSA Keys for SSH Broker with --add-to-known-hosts option.
 .
   [ Mike Gabriel ]
   * New upstream release (4.0.5.1):
     - xinerama.conf: Don't choke if screen coordintate lines in xinerama.conf
       start with a dash ("-"). (Fixes: #948).
 .
   [ Mike DePaulo ]
   * New upstream release (4.0.5.1):
     - Windows: Update bundled Win32 OpenSSL from 1.0.1p to 1.0.1q,
       which fixes the multiple CVEs announced on 2015-12-03.
     - Windows: Upgrade Cygwin components to latest versions as of
       2016-01-21, except for the Cygwin DLL which is still at 1.7.33
       in order to avoid breaking folder sharing and printer sharing
       due to 1.7.34's ACL/permissions changes.
       (authorized_keys file would often have mode 660 instead of 600)
       The latest components include most notably:
         + openssh 6.8p1-1-x2go1 -> 7.1p2-1-x2go1 (security update)
         + openssl 1.0.2d-1 -> 1.0.2e-1 (security update)
     - Windows: Update nxproxy from 3.5.0.31 to 3.5.0.32
     - Windows: Update Unicode NSIS from 2.46.5 to 2.50.0 Pre-release,
       which fixes the DLL hijacking security vuln (NSIS bug 1125.)
     - Windows: Update PuTTY from 0.64 to 0.66, which fixes
       CVE-2015-5309.
     - Windows: Remove libzip. libssh no longer uses it.
 .
   [ Orion Poplawski ]
   * New upstream release (4.0.5.1):
     - ssh{process,masterconnection}.cpp: run bash as a login shell when
       invoking any command remotely. Fixes: #928. Because this opens the door
       for ~/.bash_logout and friend scripts to be executed, which may contain
       calls to ncurses' reset or clear, also set the TERM variable to dump to
       not have unexpected output on stderr at logout time.
     - sshmasterconnection.cpp: check correct variable for validity: public key
       instead of private key (again.) Fixes: #945.
 .
   [ Klaus Ade Johnstad ]
   * New upstream version (4.0.5.1):
     - res/i18n/x2goclient_nb_no.ts: update BokmÄl (Norway) translation file.
 .
   [ Heinrich Schuchardt ]
   * New upstream version (4.0.5.1):
     - sshmasterconnection.cpp: don't fetch invalid proxy socket. Fixes: #1000.
       From http://doc.qt.io/qt-4.8/qabstractsocket.html#socketDescriptor:
       The socket descriptor is not available when QAbstractSocket is in
       UnconnectedState.
       So we have to connect to the proxy server first before retrieving the
       native socket.
 .
   [ Daniel Lindgren ]
   * New upstream version (4.0.5.1):
     - res/i18n/x2goclient_sv.ts: update Swedish translation file.
 .
   [ SĂ©bastien Ducoulombier ]
   * New upstream version (4.0.5.1):
     - res/i18n/x2goclient_fr.ts: update French translation file.
 .
   [ Jos Wolfkamp ]
   * New upstream version (4.0.5.1):
     - res/i18n/x2goclient_nl.ts: update Dutch translation file.
 .
   [ Stefan Baur ]
   * New upstream release (4.0.5.1):
     - res/i18n/x2goclient_de.ts: update German translation file.
 .
   [ Ricardo DĂ­az MartĂ­n ]
   * New upstream release (4.0.5.1):
     - res/i18n/x2goclient_es.ts: update Spanish translation file.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Fri Dec 13 10:23:45 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.